Page Summary
-
The MutateAdGroups function allows for the creation, updates, or removal of ad groups, returning their operation statuses.
-
This function can throw a variety of errors related to ad groups, authentication, authorization, bidding, database issues, and more.
-
To use MutateAdGroups, the request requires the
https://www.googleapis.com/auth/adwordsOAuth scope.
Creates, updates, or removes ad groups. Operation statuses are returned.
List of thrown errors: AdGroupError AdxError AuthenticationError AuthorizationError BiddingError BiddingStrategyError DatabaseError DateError DistinctError FieldError FieldMaskError HeaderError IdError InternalError ListOperationError MultiplierError MutateError NewResourceCreationError NotEmptyError NullError OperationAccessDeniedError OperatorError QuotaError RangeError RequestError ResourceCountLimitExceededError SettingError SizeLimitError StringFormatError StringLengthError UrlFieldError
HTTP request
POST https://googleads.googleapis.com/v21/customers/{customerId}/adGroups:mutate
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customerId |
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "operations": [ { object ( |
| Fields | |
|---|---|
operations[] |
AdGroupOperation) |
partialFailure |
|
responseContentType |
ResponseContentType) |
validateOnly |
|
Response body
Response message for an ad group mutate.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "partialFailureError": { object ( |
| Fields | |
|---|---|
partialFailureError |
Status) |
results[] |
MutateAdGroupResult) |
- Authorization scopes
-
Requires the following OAuth scope:
https://www.googleapis.com/auth/adwords
For more information, see the OAuth 2.0 Overview.